# AaveV4Supply

### Description

Supply a token to an Aave spoke.

### Action ID

`0x06ecb781`

### SDK Action

```ts
const aaveV4SupplyAction = new dfs.actions.aavev4.AaveV4SupplyAction(
    spoke,
    onBehalf,
    from,
    reserveId,
    amount,
    useAsCollateral,
    tokenAddress
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param spoke Address of the spoke.
    /// @param onBehalf Address to supply tokens on behalf of. Defaults to the user's wallet if not provided.
    /// @param from Address from which to pull collateral asset.
    /// @param reserveId Reserve id.
    /// @param amount Amount of tokens to supply.
    /// @param useAsCollateral Whether to use the tokens as collateral.
    struct Params {
        address spoke;
        address onBehalf;
        address from;
        uint256 reserveId;
        uint256 amount;
        bool useAsCollateral;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV4Supply", logData);
logger.logActionDirectEvent("AaveV4Supply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v4/aavev4supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
